import { IconType } from '../../interface.js';
export declare class CpslIconGroup {
    el: HTMLCpslIconGroupElement;
    isHovered: boolean;
    /**
     * The direction the icons should expand from
     */
    expandFrom: 'left' | 'right';
    /**
     * If `true`, the user cannot interact with the input.
     */
    disabled: boolean;
    /**
     * The name of the icons to display.
     */
    icons: (IconType | string)[];
    componentDidLoad(): void;
    disconnectedCallback(): void;
    render(): any;
}
